@echo off
echo called: LOffc_odt2ZmL.bat Version 2024-10-02
echo arg1: %1
echo arg2: %2
REM %1 is the absolute path to the odt document with backslash <:@args.>
set DIR_SRC=%1
set NAME_SRC=%~n2
REM Tools directory                        <:@tools.>
set JCP="..\..\..\tools\vishiaBase.jar;..\..\..\tools\vishiaDocTools.jar"
::set JCP=D:/vishia/Java/Eclipse_Pj/vishiaJavaAll_22-03/bin
REM presume the directory structure .../src/componente/odt and build/componente/... is used.
REM build is temporary, can be deleted after all is done.
REM src contains the really sources, not temporary stuff.
REM change to the directory of the component to the odt. Note: use option /d
cd /d %DIR_SRC%\..
set DIRCMPN=%CD%
echo DIRCMPN=++%DIRCMPN%++
REM extract NAMECMPN as the directory name before \odt, it is the 'component'
REM be carefully, about faulty spaces on end of NAMCMPN (bug of windows) if writing ...nxA ) 
For %%A in ("%DIRCMPN%") do ( Set NAMECMPN=%%~nxA)
cd odt
echo currdir=%CD%
echo check ..\..\..\build\%NAMECMPN%\odt
REM
REM use the build parallel to src for temporaries:  <:@build.>
if not exist ..\..\..\build\%NAMECMPN%\odt (
  ECHO there should be a build directory beside src, 
  ECHO create it via call makeDocu\+createCleanBuild.bat
  pause
  if not exist ..\..\..\%NAMECMPN%\odt exit 3
)
REM The BUILDCMPN is a temporary location for some files written beside while conversion.
set BUILDCMPN=..\..\..\build\%NAMECMPN%\odt
echo off
echo Environment variables:
echo NAME_SRC=%NAME_SRC%
echo DIR_SRC=%DIR_SRC%
REM                           <:-$.>
echo DIRCMPN=%DIRCMPN%
echo NAMECMP=%NAMECMPN%
echo BUILDCMPN=%BUILDCMPN%
echo ==== generate %NAME_SRC%.ZmL ==== 
REM the argument --@C:path means that this file is used to read arguments.
REM note the current dir is the build/$DIRCMPN/odt
cd
echo on
java -version
java -cp %JCP% org.vishia.odt.readOdt.ReadOdt --@makeDocu\-LOffc_odt2ZmL.bat:args
@echo off
::                         ##This is the label for arguments in the file:
::args ##
::-odt:$NAME_SRC.odt             ## <:@inp.> The odt file to read
::-dirDbg:$(BUILDCMPN)/dbg       ## <:@dbg.>
::-o:$(NAME_SRC).ZmL             ## <:@output.>
::-labels:./*.Labels.txt         ## <:@extRef.>
::-rlinkhtml:../html/*.html      ## <:@extRefDir.>
::-rlinkpdf:../pdf/*.pdf
::---backall:$(BUILDCMPN)          ## <:@back.> use the build/CMPN/odt to store back files.
::-back:.                        ## <:@back.> store only one .back.ZmL file beside ZmL
::-a:../asciidoc/$NAME_SRC.adoc  ## <:@adoc.>
::-www:https://vishia.org/       ## <:@wwwRepl.> The link for which all links should be adjusted 
::-r:$(BUILDCMPN)/$NAME_SRC.log  ## <:@log.>
if errorlevel 1 (
  pause
  exit /B
)
echo off
REM show differences to previos      <:@txtdiff.>
::call textdiffmerge.bat %NAME_SRC%.ZmL %BUILDCMPN%\%NAME_SRC%.ZmL
call textdiffmerge.bat %NAME_SRC%.ZmL %NAME_SRC%.back.ZmL
echo =============== translate ASCIIdoc ?
echo close the window if not.
cd ..\asciidoc
REM call the asciidoc generator immediately if desired.
::call C:\Programs\Asciidoc\genAsciidoc2Html.bat %DIR_SRC%\..\asciidoc\%NAME_SRC%.adoc ../../../../html
cd ..\odt
REM activate pause if problems suggest or Asciidoc was translated to see success
if not "%3"=="NOPAUSE" pause
